Index: trunk/BNC/src/rinex/graphwin.cpp
===================================================================
--- trunk/BNC/src/rinex/graphwin.cpp	(revision 10318)
+++ trunk/BNC/src/rinex/graphwin.cpp	(revision 10525)
@@ -66,5 +66,5 @@
   setWindowTitle(_fileName);
 
-  int ww = QFontMetrics(font()).width('w');
+  int ww = QFontMetrics(font()).horizontalAdvance('w');
 
   // Buttons
Index: trunk/BNC/src/rinex/reqcanalyze.cpp
===================================================================
--- trunk/BNC/src/rinex/reqcanalyze.cpp	(revision 10318)
+++ trunk/BNC/src/rinex/reqcanalyze.cpp	(revision 10525)
@@ -66,6 +66,6 @@
   _log             = 0;
   _currEpo         = 0;
-  _obsFileNames    = settings.value("reqcObsFile").toString().split(",", QString::SkipEmptyParts);
-  _navFileNames    = settings.value("reqcNavFile").toString().split(",", QString::SkipEmptyParts);
+  _obsFileNames    = settings.value("reqcObsFile").toString().split(",", Qt::SkipEmptyParts);
+  _navFileNames    = settings.value("reqcNavFile").toString().split(",", Qt::SkipEmptyParts);
   _reqcPlotSignals = settings.value("reqcSkyPlotSignals").toString();
   _defaultSignalTypes << "G:1&2&5" << "R:1&2&3" << "J:1&2" << "E:1&5" << "S:1&5" << "C:2&6" << "I:5&9";
@@ -149,8 +149,8 @@
 void t_reqcAnalyze::analyzePlotSignals() {
 
-  QStringList signalsOpt = _reqcPlotSignals.split(" ", QString::SkipEmptyParts);
+  QStringList signalsOpt = _reqcPlotSignals.split(" ", Qt::SkipEmptyParts);
 
   for (int ii = 0; ii < signalsOpt.size(); ii++) {
-    QStringList input = signalsOpt.at(ii).split(QRegExp("[:&]"), QString::SkipEmptyParts);
+    QStringList input = signalsOpt.at(ii).split(QRegExp("[:&]"), Qt::SkipEmptyParts);
     if (input.size() > 1 && input[0].length() == 1) {
       char        system   = input[0].toLatin1().constData()[0];
@@ -582,5 +582,5 @@
       // Sort MP data (make the largest values always visible)
       // -----------------------------------------------------
-      qStableSort(dataMP._data->begin(), dataMP._data->end(), mpLessThan);
+      std::stable_sort(dataMP._data->begin(), dataMP._data->end(), mpLessThan);
     }
   }
@@ -718,5 +718,5 @@
     t_graphWin* graphWin = new t_graphWin(0, fileName, plots, true);
 
-    int ww = QFontMetrics(graphWin->font()).width('w');
+    int ww = QFontMetrics(graphWin->font()).horizontalAdvance('w');
     graphWin->setMinimumSize(120*ww, 40*ww);
 
Index: trunk/BNC/src/rinex/reqcedit.cpp
===================================================================
--- trunk/BNC/src/rinex/reqcedit.cpp	(revision 10318)
+++ trunk/BNC/src/rinex/reqcedit.cpp	(revision 10525)
@@ -58,7 +58,7 @@
   _logFile        = 0;
   _log            = 0;
-  _obsFileNames   = settings.value("reqcObsFile").toString().split(",", QString::SkipEmptyParts);
+  _obsFileNames   = settings.value("reqcObsFile").toString().split(",", Qt::SkipEmptyParts);
   _outObsFileName = settings.value("reqcOutObsFile").toString();
-  _navFileNames   = settings.value("reqcNavFile").toString().split(",", QString::SkipEmptyParts);
+  _navFileNames   = settings.value("reqcNavFile").toString().split(",", Qt::SkipEmptyParts);
   _outNavFileName = settings.value("reqcOutNavFile").toString();
   int version     = settings.value("reqcRnxVersion").toInt();
@@ -108,34 +108,34 @@
   // ---------------
   if (_log) {
-    *_log << QByteArray(78, '-') << endl;
+    *_log << QByteArray(78, '-') << '\n';
     *_log << "RINEX File Editing\n";
-    *_log << QByteArray(78, '-') << endl;
+    *_log << QByteArray(78, '-') << '\n';
 
     *_log << QByteArray("Program").leftJustified(15) << ": "
-          << BNC_CORE->pgmName() << endl;
+          << BNC_CORE->pgmName() << '\n';
     *_log << QByteArray("Run by").leftJustified(15) << ": "
-          << BNC_CORE->userName() << endl;
+          << BNC_CORE->userName() << '\n';
     *_log << QByteArray("Date").leftJustified(15) << ": "
-          << QDateTime::currentDateTime().toUTC().toString("yyyy-MM-dd hh:mm:ss") << endl;
+          << QDateTime::currentDateTime().toUTC().toString("yyyy-MM-dd hh:mm:ss") << '\n';
     *_log << QByteArray("RINEX Version").leftJustified(15) << ": "
-          << _rnxVersion << endl;
+          << _rnxVersion << '\n';
     *_log << QByteArray("Sampling").leftJustified(15) << ": "
-          << _samplingRate << " sec" << endl;
+          << _samplingRate << " sec" << '\n';
     *_log << QByteArray("Start time").leftJustified(15) << ": "
           << _begTime.datestr().c_str() << ' '
-          << _begTime.timestr(0).c_str() << endl;
+          << _begTime.timestr(0).c_str() << '\n';
     *_log << QByteArray("End time").leftJustified(15) << ": "
           << _endTime.datestr().c_str() << ' '
-          << _endTime.timestr(0).c_str() << endl;
+          << _endTime.timestr(0).c_str() << '\n';
     *_log << QByteArray("Input Obs Files").leftJustified(15) << ": "
-          << _obsFileNames.join(",") << endl;
+          << _obsFileNames.join(",") << '\n';
     *_log << QByteArray("Input Nav Files").leftJustified(15) << ": "
-          << _navFileNames.join(",") << endl;
+          << _navFileNames.join(",") << '\n';
     *_log << QByteArray("Output Obs File").leftJustified(15) << ": "
-          << _outObsFileName << endl;
+          << _outObsFileName << '\n';
     *_log << QByteArray("Output Nav File").leftJustified(15) << ": "
-          << _outNavFileName << endl;
-
-    *_log << QByteArray(78, '-') << endl;
+          << _outNavFileName << '\n';
+
+    *_log << QByteArray(78, '-') << '\n';
     _log->flush();
   }
@@ -186,5 +186,5 @@
           delete rnxObsFile;
           if (log) {
-            *log << "Error in rnxObsFile " << filePath.toLatin1().data() << endl;
+            *log << "Error in rnxObsFile " << filePath.toLatin1().data() << '\n';
           }
         }
@@ -199,10 +199,10 @@
       catch (...) {
         if (log) {
-          *log << "Error in rnxObsFile " << fileName.toLatin1().data() << endl;
-        }
-      }
-    }
-  }
-  qStableSort(rnxObsFiles.begin(), rnxObsFiles.end(),
+          *log << "Error in rnxObsFile " << fileName.toLatin1().data() << '\n';
+        }
+      }
+    }
+  }
+  std::stable_sort(rnxObsFiles.begin(), rnxObsFiles.end(),
               t_rnxObsFile::earlierStartTime);
 }
@@ -242,5 +242,5 @@
   // ------------------------
   bncSettings settings;
-  QStringList useObsTypes = settings.value("reqcUseObsTypes").toString().split(" ", QString::SkipEmptyParts);
+  QStringList useObsTypes = settings.value("reqcUseObsTypes").toString().split(" ", Qt::SkipEmptyParts);
 
   // Put together all observation types
@@ -318,5 +318,5 @@
       *_log << "Processing File: " << obsFile->fileName() << "  start: "
             << obsFile->startTime().datestr().c_str() << ' '
-            << obsFile->startTime().timestr(0).c_str() << endl;
+            << obsFile->startTime().timestr(0).c_str() << '\n';
     }
     if (ii == 0) {
@@ -367,5 +367,5 @@
     catch (QString str) {
       if (_log) {
-        *_log << "Exception " << str << endl;
+        *_log << "Exception " << str << '\n';
       }
       else {
@@ -376,5 +376,5 @@
     catch (...) {
       if (_log) {
-        *_log << "Exception unknown" << endl;
+        *_log << "Exception unknown" << '\n';
       }
       else {
@@ -540,6 +540,6 @@
   }
   // TODO: enable user decision
-  qStableSort(ephs.begin(), ephs.end(), t_eph::earlierTime);
-  //qStableSort(ephs.begin(), ephs.end(), t_eph::prnSort);
+  std::stable_sort(ephs.begin(), ephs.end(), t_eph::earlierTime);
+  //std::stable_sort(ephs.begin(), ephs.end(), t_eph::prnSort);
 }
 
@@ -785,5 +785,5 @@
         QString preferredAttrib;
         if (preferredAttribListSys[ii].indexOf("&") != -1) {
-          QStringList hlp = preferredAttribListSys[ii].split("&", QString::SkipEmptyParts);
+          QStringList hlp = preferredAttribListSys[ii].split("&", Qt::SkipEmptyParts);
           if (hlp.size() == 2 && hlp[0].contains(band)) {
             preferredAttrib = hlp[1];
Index: trunk/BNC/src/rinex/rnxnavfile.cpp
===================================================================
--- trunk/BNC/src/rinex/rnxnavfile.cpp	(revision 10318)
+++ trunk/BNC/src/rinex/rnxnavfile.cpp	(revision 10525)
@@ -158,5 +158,5 @@
     }
 
-    QStringList hlp = line.split(QRegExp("\\s+"), QString::SkipEmptyParts);
+    QStringList hlp = line.split(QRegExp("\\s+"), Qt::SkipEmptyParts);
     QString firstStr = hlp.at(0);
     QString prn;
@@ -243,5 +243,5 @@
       eph = new t_ephGPS(version(), lines);
     }
-    
+
     if (version() >= 4.0) {
       if (eph->setNavType(navTypeStr) != success) {
@@ -250,5 +250,5 @@
       }
     }
-    
+
     if (eph) {
       _ephs.push_back(eph);
@@ -317,8 +317,8 @@
       }
       else if (it.key() == "RUN BY DATE") {
-    	  runByDate = it.value().split("\\n", QString::SkipEmptyParts);
+    	  runByDate = it.value().split("\\n", Qt::SkipEmptyParts);
       }
       else if (it.key() == "COMMENT") {
-        comments = it.value().split("\\n", QString::SkipEmptyParts);
+        comments = it.value().split("\\n", Qt::SkipEmptyParts);
       }
     }
Index: trunk/BNC/src/rinex/rnxobsfile.cpp
===================================================================
--- trunk/BNC/src/rinex/rnxobsfile.cpp	(revision 10318)
+++ trunk/BNC/src/rinex/rnxobsfile.cpp	(revision 10525)
@@ -505,5 +505,5 @@
     for (int iType = 0; iType < useObsTypes->size(); iType++) {
       if (useObsTypes->at(iType).indexOf(":") != -1) {
-        QStringList hlp = useObsTypes->at(iType).split(":", QString::SkipEmptyParts);
+        QStringList hlp = useObsTypes->at(iType).split(":", Qt::SkipEmptyParts);
         if (hlp.size() == 2 && hlp[0].length() == 1) {
           if (_version >= 3.0) {
@@ -551,6 +551,6 @@
     else {
       foreach (const QString &str, *phaseShifts) {
-        QStringList hlp  = str.split("_", QString::SkipEmptyParts);
-        QStringList hlp1 = hlp.last().split(":", QString::SkipEmptyParts);
+        QStringList hlp  = str.split("_", Qt::SkipEmptyParts);
+        QStringList hlp1 = hlp.last().split(":", Qt::SkipEmptyParts);
         QString type = hlp.first();
         double shift = hlp1.first().toDouble();
@@ -577,5 +577,5 @@
     else {
       foreach (const QString &str, *gloBiases) {
-        QStringList hlp = str.split(":", QString::SkipEmptyParts);
+        QStringList hlp = str.split(":", Qt::SkipEmptyParts);
         QString type = hlp.first();;
         double  value = hlp.last().toDouble();
@@ -590,5 +590,5 @@
     else {
       foreach (const QString &str, *gloSlots) {
-        QStringList hlp = str.split(":", QString::SkipEmptyParts);
+        QStringList hlp = str.split(":", Qt::SkipEmptyParts);
         QString sat = hlp.first();
         int    slot = hlp.last().toInt();
@@ -631,8 +631,8 @@
       }
       else if (it.key() == "RUN BY DATE") {
-    	  runByDate = it.value().split("\\n", QString::SkipEmptyParts);
+    	  runByDate = it.value().split("\\n", Qt::SkipEmptyParts);
       }
       else if ((it.key().indexOf("COMMENT")) != -1) {
-        newComments += it.value().split("\\n", QString::SkipEmptyParts);
+        newComments += it.value().split("\\n", Qt::SkipEmptyParts);
       }
     }
@@ -1409,9 +1409,9 @@
     const t_rnxSat& rnxSat = epo->rnxSat[iSat];
     if (iSat > 0 && iSat % 12 == 0) {
-      *stream << endl << QString().leftJustified(32);
+      *stream << '\n' << QString().leftJustified(32);
     }
     *stream << rnxSat.prn.toString().c_str();
   }
-  *stream << endl;
+  *stream << '\n';
 
   for (unsigned iSat = 0; iSat < epo->rnxSat.size(); iSat++) {
@@ -1420,5 +1420,5 @@
     for (int iTypeV2 = 0; iTypeV2 < header.nTypes(sys); iTypeV2++) {
       if (iTypeV2 > 0 && iTypeV2 % 5 == 0) {
-        *stream << endl;
+        *stream << '\n';
       }
       QString typeV2 = header.obsType(sys, iTypeV2);
@@ -1428,5 +1428,5 @@
       for (int ii = 0; ii < preferredAttribList.size(); ii++) {
         if (preferredAttribList[ii].indexOf("&") != -1) {
-          QStringList hlp = preferredAttribList[ii].split("&", QString::SkipEmptyParts);
+          QStringList hlp = preferredAttribList[ii].split("&", Qt::SkipEmptyParts);
           if (hlp.size() == 2 && hlp[0].contains(typeV2[1])) {
             preferredAttrib = hlp[1];
@@ -1476,5 +1476,5 @@
       }
     }
-    *stream << endl;
+    *stream << '\n';
   }
 }
@@ -1559,5 +1559,5 @@
         }
       }
-      *stream << endl;
+      *stream << '\n';
     }
   }
@@ -1677,5 +1677,5 @@
   // ---------------------------------------------------
   if (reqcAction == "Edit/Concatenate") {
-    priorList = settings.value("reqcV2Priority").toString().split(" ", QString::SkipEmptyParts);
+    priorList = settings.value("reqcV2Priority").toString().split(" ", Qt::SkipEmptyParts);
   }
 
@@ -1683,5 +1683,5 @@
   // ----------------------------
   else {
-    priorList = settings.value("rnxV2Priority").toString().split(" ", QString::SkipEmptyParts);
+    priorList = settings.value("rnxV2Priority").toString().split(" ", Qt::SkipEmptyParts);
   }
 
@@ -1689,5 +1689,5 @@
   for (int ii = 0; ii < priorList.size(); ii++) {
     if (priorList[ii].indexOf(":") != -1) {
-      QStringList hlp = priorList[ii].split(":", QString::SkipEmptyParts);
+      QStringList hlp = priorList[ii].split(":", Qt::SkipEmptyParts);
       if (hlp.size() == 2 && hlp[0].length() == 1 && hlp[0][0] == sys) {
         result.append(hlp[1]);