Index: trunk/BNC/src/bncrinex.cpp
===================================================================
--- trunk/BNC/src/bncrinex.cpp	(revision 10529)
+++ trunk/BNC/src/bncrinex.cpp	(revision 10532)
@@ -78,7 +78,7 @@
 
   bncSettings settings;
-  _rnxScriptName = settings.value("rnxScript").toString();
-  expandEnvVar(_rnxScriptName);
-
+  _rnxScriptName = settings.value("rnxScript").toString(); expandEnvVar(_rnxScriptName);
+  _sklExt        = settings.value("rnxSkel").toString();
+  _sklPath       = settings.value("rnxSkelPath").toString();
   _pgmName  = QString(BNCPGMNAME).leftJustified(20, ' ', true);
 #ifdef WIN32
@@ -173,6 +173,6 @@
     QUrl url;
     int stIdLength = _mountPoint.path().length()-2;
-    staID =            _mountPoint.path().mid(1,stIdLength).toUpper() + ".skl";
-    staIDalternative = _mountPoint.path().mid(1,stIdLength).toLower() + ".skl";
+    staID =            _mountPoint.path().mid(1,stIdLength).toUpper() + "." + _sklExt;
+    staIDalternative = _mountPoint.path().mid(1,stIdLength).toLower() + "." + _sklExt;
     if (url.port() == -1) {
       if (sklDir.contains("https", Qt::CaseInsensitive)) {
@@ -377,16 +377,14 @@
   // Local Skeleton file
   // -------------------
-  QString sklExt  = settings.value("rnxSkel").toString();
-  QString sklPath = settings.value("rnxSkelPath").toString();
-  expandEnvVar(sklPath);
-  if (sklPath.length() > 0 &&
-      sklPath[sklPath.length()-1] != QDir::separator()) {
-    sklPath += QDir::separator();
-  }
-  if (sklPath.isEmpty()) {
-    sklPath = rnxPath;
-  }
-  _localSklName            = sklPath + ID           + distStr + "." + sklExt;
-  _localSklNameAlternative = sklPath + ID.toLower() + distStr + "." + sklExt;
+  expandEnvVar(_sklPath);
+  if (_sklPath.length() > 0 &&
+      _sklPath[_sklPath.length()-1] != QDir::separator()) {
+    _sklPath += QDir::separator();
+  }
+  if (_sklPath.isEmpty()) {
+    _sklPath = rnxPath;
+  }
+  _localSklName            = _sklPath + ID           + distStr + "." + _sklExt;
+  _localSklNameAlternative = _sklPath + ID.toLower() + distStr + "." + _sklExt;
 
   if (_rnxVersion > 2) {
Index: trunk/BNC/src/bncrinex.h
===================================================================
--- trunk/BNC/src/bncrinex.h	(revision 10529)
+++ trunk/BNC/src/bncrinex.h	(revision 10532)
@@ -65,4 +65,6 @@
    QDateTime       _nextCloseEpoch;
    QString         _rnxScriptName;
+   QString         _sklExt;
+   QString         _sklPath;
    QUrl            _mountPoint;
    QString         _pgmName;
Index: trunk/BNC/src/bncwindow.cpp
===================================================================
--- trunk/BNC/src/bncwindow.cpp	(revision 10529)
+++ trunk/BNC/src/bncwindow.cpp	(revision 10532)
@@ -236,5 +236,5 @@
   _rnxSkelExtComboBox  = new QComboBox();
   _rnxSkelExtComboBox->setEditable(false);
-  _rnxSkelExtComboBox->addItems(QString("skl, SKL").split(","));
+  _rnxSkelExtComboBox->addItems(QString("skl,SKL").split(","));
   int ik = _rnxSkelExtComboBox->findText(settings.value("rnxSkel").toString());
   if (ik != -1) {
Index: trunk/BNC/src/rinex/rnxobsfile.cpp
===================================================================
--- trunk/BNC/src/rinex/rnxobsfile.cpp	(revision 10529)
+++ trunk/BNC/src/rinex/rnxobsfile.cpp	(revision 10532)
@@ -65,5 +65,5 @@
   bncSettings settings;
   _writeRinexOnlyWithSklObsTypes = settings.value("rnxOnlyWithSKL").toBool();
-
+  _configuredVersion = settings.value("rnxVersion").toInt();
 }
 
@@ -217,5 +217,5 @@
     else if (key == "SYS / # / OBS TYPES") {
       if (_version == 0.0) {
-        _version = defaultRnxObsVersion3;
+        _version = versionFromInt(_configuredVersion);
       }
       QTextStream* in = new QTextStream(value.toLatin1(), QIODevice::ReadOnly);
Index: trunk/BNC/src/rinex/rnxobsfile.h
===================================================================
--- trunk/BNC/src/rinex/rnxobsfile.h	(revision 10529)
+++ trunk/BNC/src/rinex/rnxobsfile.h	(revision 10532)
@@ -79,4 +79,5 @@
   QString         _usedSystems;
   double          _version;
+  int             _configuredVersion;
   double          _interval;
   QString         _antennaNumber;