Index: trunk/BNC/src/RTCM3/RTCM3Decoder.cpp
===================================================================
--- trunk/BNC/src/RTCM3/RTCM3Decoder.cpp	(revision 10548)
+++ trunk/BNC/src/RTCM3/RTCM3Decoder.cpp	(revision 10549)
@@ -1043,5 +1043,5 @@
     GETBITS(i, 6)
     if (i < 1 || i > 63 ) {
-#ifdef BNC_DEBUG_BCEP
+#ifdef BNC_DEBUG_BCE
       emit(newMessage(QString("%1: Block %2 (G) PRN# is out of range: %3!")
            .arg(_staID)
@@ -1054,5 +1054,5 @@
     GETBITS(week, 10)
     if (week < 0 || week > 1023) {
-#ifdef BNC_DEBUG_BCEP
+#ifdef BNC_DEBUG_BCE
       emit(newMessage(QString("%1: Block %2 (%3) WEEK # is out of range: %4!")
            .arg(_staID)
@@ -1071,5 +1071,5 @@
     i <<= 4;
     if (i < 0 || i > 604784) {
-#ifdef BNC_DEBUG_BCEP
+#ifdef BNC_DEBUG_BCE
       emit(newMessage(QString("%1: Block %2 (%3) TOC is out of range: %4!")
            .arg(_staID)
@@ -1093,5 +1093,5 @@
     GETFLOAT(eph._sqrt_A,             32, 1.0 / (double )(1 << 19))
     if (eph._sqrt_A < 1000.0) {
-#ifdef BNC_DEBUG_BCEP
+#ifdef BNC_DEBUG_BCE
       emit(newMessage(QString("%1: Block %2 (%3) SQRT_A %4 m!")
            .arg(_staID).arg(1019,4).arg(eph._prn.toString().c_str())
@@ -1103,5 +1103,5 @@
     i <<= 4;
     if (i < 0 || i > 604784) {
-#ifdef BNC_DEBUG_BCEP
+#ifdef BNC_DEBUG_BCE
       emit(newMessage(QString("%1: Block %2 (%3) TOE is out of range: %4!")
            .arg(_staID)
@@ -1163,5 +1163,5 @@
     GETBITS(sv, 6)
     if (sv < 1 || sv > 63) {
-#ifdef BNC_DEBUG_BCEP
+#ifdef BNC_DEBUG_BCE
       emit(newMessage(QString("%1: Block %2 (R):  SLOT# is unknown (0) or out of range: %3!")
            .arg(_staID)
@@ -1175,5 +1175,5 @@
     GETBITS(i, 5)
     if (i < 0 || i > 20) {
-#ifdef BNC_DEBUG_BCEP
+#ifdef BNC_DEBUG_BCE
       emit(newMessage(QString("%1: Block %2 (%3): FRQ CHN# is out of range: %4")
            .arg(_staID)
@@ -1190,5 +1190,5 @@
     GETBITS(i, 5)
     if (i < 0 || i > 23) {
-#ifdef BNC_DEBUG_BCEP
+#ifdef BNC_DEBUG_BCE
       emit(newMessage(QString("%1: Block %2 (%3): T_k (bits 11-7) is out of range: %4")
            .arg(_staID)
@@ -1202,5 +1202,5 @@
     GETBITS(i, 6)
     if (i < 0 || i > 59) {
-#ifdef BNC_DEBUG_BCEP
+#ifdef BNC_DEBUG_BCE
       emit(newMessage(QString("%1: Block %2 (%3): T_k (bits 6-1) is out of range: %4")
            .arg(_staID)
@@ -1214,5 +1214,5 @@
     GETBITS(i, 1)
     if (i < 0 || i > 1) {
-#ifdef BNC_DEBUG_BCEP
+#ifdef BNC_DEBUG_BCE
       emit(newMessage(QString("%1: Block %2 (%3): T_k (bit 0) is out of range: %4")
            .arg(_staID)
@@ -1233,5 +1233,5 @@
     i *= 15;
     if (i < 15 || i > 1425) {
-#ifdef BNC_DEBUG_BCEP
+#ifdef BNC_DEBUG_BCE
       emit(newMessage(QString("%1: Block %2 (%3): T_b is out of range: %4")
            .arg(_staID)
@@ -1264,5 +1264,5 @@
     GETBITS(eph._M_NT, 11) /* GLONASS-M Nt */
     if (eph._M_NT == 0.0) {
-#ifdef BNC_DEBUG_BCEP
+#ifdef BNC_DEBUG_BCE
       emit(newMessage(QString("%1: Block %2 (%3): NT = %4: missing data!")
            .arg(_staID).arg(1020,4).arg(eph._prn.toString().c_str()).arg(eph._M_NT,4).toLatin1(), true));
@@ -1273,5 +1273,5 @@
     GETBITS(eph._additional_data_availability, 1) /* GLONASS-M The Availability of Additional Data */
     if (eph._additional_data_availability == 0.0) {
-#ifdef BNC_DEBUG_BCEP
+#ifdef BNC_DEBUG_BCE
       emit(newMessage(QString("%1: Block %2 (%3): ADD = %4: missing data!")
            .arg(_staID).arg(1020,4).arg(eph._prn.toString().c_str())
@@ -1295,5 +1295,5 @@
     eph._xv(3) = eph._z_pos * 1.e3;
     if (eph._xv.Rows(1,3).NormFrobenius() < 1.0) {
-#ifdef BNC_DEBUG_BCEP
+#ifdef BNC_DEBUG_BCE
       emit(newMessage(QString("%1: Block %2 (%3): zero position!")
            .arg(_staID).arg(1020,4).arg(eph._prn.toString().c_str()).toLatin1(), true));
@@ -1305,5 +1305,5 @@
     eph._xv(6) = eph._z_velocity * 1.e3;
     if (eph._xv.Rows(4,6).NormFrobenius() < 1.0) {
-#ifdef BNC_DEBUG_BCEP
+#ifdef BNC_DEBUG_BCE
       emit(newMessage(QString("%1: Block %2 (%3): zero velocity!")
            .arg(_staID).arg(1020,4).arg(eph._prn.toString().c_str()).toLatin1(), true));
@@ -1342,5 +1342,5 @@
     GETBITS(i, 4)
     if (i < 1 || i > 10 ) {
-#ifdef BNC_DEBUG_BCEP
+#ifdef BNC_DEBUG_BCE
       emit(newMessage(QString("%1: Block %2 (J) SAT ID is out of range: %3!")
            .arg(_staID)
@@ -1355,5 +1355,5 @@
     i <<= 4;
     if (i < 0 || i > 604784) {
-#ifdef BNC_DEBUG_BCEP
+#ifdef BNC_DEBUG_BCE
       emit(newMessage(QString("%1: Block %2 (%3) TOC is out of range: %4!")
            .arg(_staID)
@@ -1378,5 +1378,5 @@
     GETFLOAT(eph._sqrt_A,      32, 1.0 / (double )(1 << 19))
     if (eph._sqrt_A < 1000.0) {
-#ifdef BNC_DEBUG_BCEP
+#ifdef BNC_DEBUG_BCE
       emit(newMessage(QString("%1: Block %2 (%3) SQRT_A %4 m!")
            .arg(_staID).arg(1044,4).arg(eph._prn.toString().c_str())
@@ -1388,5 +1388,5 @@
     i <<= 4;
     if (i < 0 || i > 604784) {
-#ifdef BNC_DEBUG_BCEP
+#ifdef BNC_DEBUG_BCE
       emit(newMessage(QString("%1: Block %2 (%3) TOE is out of range: %4!")
            .arg(_staID)
@@ -1412,5 +1412,5 @@
     GETBITS(week, 10)
     if (week < 0 || week > 1023) {
-#ifdef BNC_DEBUG_BCEP
+#ifdef BNC_DEBUG_BCE
       emit(newMessage(QString("%1: Block %2 (%3) WEEK # is out of range: %4!")
            .arg(_staID)
@@ -1465,5 +1465,5 @@
     GETBITS(i, 6)
     if (i < 1 || i > 63 ) {
-#ifdef BNC_DEBUG_BCEP
+#ifdef BNC_DEBUG_BCE
       emit(newMessage(QString("%1: Block %2 (I) PRN# is out of range: %3!")
            .arg(_staID)
@@ -1476,5 +1476,5 @@
     GETBITS(week, 10)
     if (week < 0 || week > 1023) {
-#ifdef BNC_DEBUG_BCEP
+#ifdef BNC_DEBUG_BCE
       emit(newMessage(QString("%1: Block %2 (%3) WEEK # is out of range: %4!")
            .arg(_staID)
@@ -1493,5 +1493,5 @@
     i <<= 4;
     if (i < 0 || i > 1048560) {
-#ifdef BNC_DEBUG_BCEP
+#ifdef BNC_DEBUG_BCE
       emit(newMessage(QString("%1: Block %2 (%3) TOC is out of range: %4!")
            .arg(_staID)
@@ -1535,5 +1535,5 @@
     i <<= 4;
     if (i < 0 || i > 1048560) {
-#ifdef BNC_DEBUG_BCEP
+#ifdef BNC_DEBUG_BCE
       emit(newMessage(QString("%1: Block %2 (%3) TOE is out of range: %4!")
            .arg(_staID)
@@ -1556,5 +1556,5 @@
     GETFLOAT(eph._sqrt_A,       32, 1.0 / (double )(1 << 19))
     if (eph._sqrt_A < 1000.0) {
-#ifdef BNC_DEBUG_BCEP
+#ifdef BNC_DEBUG_BCE
       emit(newMessage(QString("%1: Block %2 (%3) SQRT_A %4 m!")
            .arg(_staID).arg(1041,4).arg(eph._prn.toString().c_str())
@@ -1596,5 +1596,5 @@
     GETBITS(i, 6)
     if (i < 40 || i > 58 ) {
-#ifdef BNC_DEBUG_BCEP
+#ifdef BNC_DEBUG_BCE
       emit(newMessage(QString("%1: Block %2 (S) PRN# is out of range: %3!")
            .arg(_staID)
@@ -1609,5 +1609,5 @@
     i <<= 4;
     if (i < 0 || i > 86384) {
-#ifdef BNC_DEBUG_BCEP
+#ifdef BNC_DEBUG_BCE
       emit(newMessage(QString("%1: Block %2 (%3) TOC is out of range: %4!")
            .arg(_staID)
@@ -1627,5 +1627,5 @@
     pos(1) = eph._x_pos; pos(2) = eph._y_pos; pos(3) = eph._z_pos;
     if (pos.NormFrobenius() < 1.0) {
-#ifdef BNC_DEBUG_BCEP
+#ifdef BNC_DEBUG_BCE
       emit(newMessage(QString("%1: Block %2 (%3): zero position!")
            .arg(_staID).arg(1043,4).arg(eph._prn.toString().c_str()).toLatin1(), true));
@@ -1673,5 +1673,5 @@
     GETBITS(i, 6)
     if (i < 1 || i > 36 ) { // max. constellation within I/NAV / F/NAV frames is 36
-#ifdef BNC_DEBUG_BCEP
+#ifdef BNC_DEBUG_BCE
       emit(newMessage(QString("%1: Block %2 (E) PRN# is out of range: %3!")
            .arg(_staID)
@@ -1685,5 +1685,5 @@
     GETBITS(week, 12) //FIXME: roll-over after week 4095!!
     if (week < 0 || week > 4095) {
-#ifdef BNC_DEBUG_BCEP
+#ifdef BNC_DEBUG_BCE
       emit(newMessage(QString("%1: Block %2 (%3) WEEK # is out of range: %4!")
            .arg(_staID)
@@ -1701,5 +1701,5 @@
     GETBITSFACTOR(i, 14, 60)
     if (i < 0 || i > 604740) {
-#ifdef BNC_DEBUG_BCEP
+#ifdef BNC_DEBUG_BCE
       emit(newMessage(QString("%1: Block %2 (%3) TOC is out of range: %4!")
            .arg(_staID)
@@ -1723,5 +1723,5 @@
     GETBITSFACTOR(eph._TOEsec, 14, 60)
     if (i < 0 || i > 604740) {
-#ifdef BNC_DEBUG_BCEP
+#ifdef BNC_DEBUG_BCE
       emit(newMessage(QString("%1: Block %2 (%3) TOE is out of range: %4!")
            .arg(_staID)
@@ -1753,5 +1753,5 @@
       GETBITS(eph._e1DataInValid, 1)
       if (eph._E5bHS != eph._E1_bHS) {
-#ifdef BNC_DEBUG_BCEP
+#ifdef BNC_DEBUG_BCE
         emit(newMessage(QString("%1: Block %2 (%3) SHS E5b %4 E1B %5: inconsistent health!")
              .arg(_staID).arg(1046,4).arg(eph._prn.toString().c_str())
@@ -1762,5 +1762,5 @@
       if ((eph._BGD_1_5A == 0.0 && fabs(eph._BGD_1_5B) > 1e-9) ||
           (eph._BGD_1_5B == 0.0 && fabs(eph._BGD_1_5A) > 1e-9)) {
-#ifdef BNC_DEBUG_BCEP
+#ifdef BNC_DEBUG_BCE
         emit(newMessage(QString("%1: Block %2 (%3) BGD_15a = %4 BGD_15b = %5: inconsistent BGD!")
              .arg(_staID).arg(1046,4).arg(eph._prn.toString().c_str())
@@ -1786,5 +1786,5 @@
 
     if (eph._sqrt_A < 1000.0) {
-#ifdef BNC_DEBUG_BCEP
+#ifdef BNC_DEBUG_BCE
       emit(newMessage(QString("%1: Block %2 (%3) SQRT_A %4 m!")
            .arg(_staID).arg(eph._inav? 1046 : 1045,4).arg(eph._prn.toString().c_str())
@@ -1820,5 +1820,5 @@
     GETBITS(i, 6)
     if (i < 1 || i > 63 ) {
-#ifdef BNC_DEBUG_BCEP
+#ifdef BNC_DEBUG_BCE
       emit(newMessage(QString("%1: Block %2 (C) PRN# is out of range: %3!")
            .arg(_staID)
@@ -1832,5 +1832,5 @@
     GETBITS(week, 13)
     if (week < 0 || week > 8191) {
-#ifdef BNC_DEBUG_BCEP
+#ifdef BNC_DEBUG_BCE
       emit(newMessage(QString("%1: Block %2 (%3) WEEK # is out of range: %4!")
            .arg(_staID)
@@ -1849,5 +1849,5 @@
     i <<= 3;
     if (i < 0 || i > 604792) {
-#ifdef BNC_DEBUG_BCEP
+#ifdef BNC_DEBUG_BCE
       emit(newMessage(QString("%1: Block %2 (%3) TOC is out of range: %4!")
            .arg(_staID)
@@ -1871,5 +1871,5 @@
     GETFLOAT(eph._sqrt_A,      32, 1.0 / (double )(1 << 19))
     if (eph._sqrt_A < 1000.0) {
-#ifdef BNC_DEBUG_BCEP
+#ifdef BNC_DEBUG_BCE
       emit(newMessage(QString("%1: Block %2 (%3) SQRT_A %4 m!")
            .arg(_staID).arg(1042,4).arg(eph._prn.toString().c_str())
@@ -1881,5 +1881,5 @@
     i <<= 3;
     if (i < 0 || i > 604792) {
-#ifdef BNC_DEBUG_BCEP
+#ifdef BNC_DEBUG_BCE
       emit(newMessage(QString("%1: Block %2 (%3) TOE is out of range: %4!")
            .arg(_staID)