Index: trunk/BNC/src/RTCM3/RTCM3Decoder.cpp
===================================================================
--- trunk/BNC/src/RTCM3/RTCM3Decoder.cpp	(revision 10688)
+++ trunk/BNC/src/RTCM3/RTCM3Decoder.cpp	(revision 10692)
@@ -1958,5 +1958,5 @@
   char *antserialnum;
   char *receiver;
-  char *recfirmware;
+  char *rec_firmware;
   char *recserialnum;
   int type;
@@ -1975,8 +1975,8 @@
   GETSTRING(antnum, antenna)
   if ((antnum > -1 && antnum < 265) &&
-      (_antType.empty() || strncmp(_antType.back().descriptor, antenna, recnum) != 0)) {
+      (_antType.empty() || strncmp(_antType.back()._descriptor, antenna, recnum) != 0)) {
     _antType.push_back(t_antInfo());
-    memcpy(_antType.back().descriptor, antenna, antnum);
-    _antType.back().descriptor[antnum] = 0;
+    memcpy(_antType.back()._descriptor, antenna, antnum);
+    _antType.back()._descriptor[antnum] = 0;
   }
   SKIPBITS(8) /* antenna setup ID */
@@ -1984,6 +1984,6 @@
     GETSTRING(antsernum, antserialnum)
     if ((antsernum > -1 && antsernum < 265)) {
-      memcpy(_antType.back().serialnumber, antserialnum, antsernum);
-      _antType.back().serialnumber[antsernum] = 0;
+      memcpy(_antType.back()._serialnumber, antserialnum, antsernum);
+      _antType.back()._serialnumber[antsernum] = 0;
     }
   }
@@ -1991,18 +1991,18 @@
   if (type == 1033) {
     GETSTRING(recnum, receiver)
-    GETSTRING(recfirnum, recfirmware)
+    GETSTRING(recfirnum, rec_firmware)
     GETSTRING(recsernum, recserialnum)
     if ((recnum > -1 && recnum < 265) &&
-        (_recType.empty() || strncmp(_recType.back().descriptor, receiver, recnum) != 0)) {
+        (_recType.empty() || strncmp(_recType.back()._descriptor, receiver, recnum) != 0)) {
       _recType.push_back(t_recInfo());
-      memcpy(_recType.back().descriptor, receiver, recnum);
-      _recType.back().descriptor[recnum] = 0;
+      memcpy(_recType.back()._descriptor, receiver, recnum);
+      _recType.back()._descriptor[recnum] = 0;
       if (recfirnum > -1 && recfirnum < 265) {
-        memcpy(_recType.back().firmware, recfirmware, recfirnum);
-        _recType.back().firmware[recfirnum] = 0;
+        memcpy(_recType.back()._firmware, rec_firmware, recfirnum);
+        _recType.back()._firmware[recfirnum] = 0;
       }
       if (recsernum > -1 && recsernum < 265) {
-        memcpy(_recType.back().serialnumber, recserialnum, recsernum);
-        _recType.back().serialnumber[recsernum] = 0;
+        memcpy(_recType.back()._serialnumber, recserialnum, recsernum);
+        _recType.back()._serialnumber[recsernum] = 0;
       }
     }
@@ -2023,21 +2023,21 @@
   GETBITS(type, 12)
   _antList.push_back(t_antRefPoint());
-  _antList.back().type = t_antRefPoint::ARP;
+  _antList.back()._type = t_antRefPoint::ARP;
   SKIPBITS(22)
   GETBITSSIGN(x, 38)
-  _antList.back().xx = x * 1e-4;
+  _antList.back()._xx = x * 1e-4;
   SKIPBITS(2)
   GETBITSSIGN(y, 38)
-  _antList.back().yy = y * 1e-4;
+  _antList.back()._yy = y * 1e-4;
   SKIPBITS(2)
   GETBITSSIGN(z, 38)
-  _antList.back().zz = z * 1e-4;
+  _antList.back()._zz = z * 1e-4;
   if (type == 1006) {
     double h;
     GETBITS(h, 16)
-    _antList.back().height = h * 1e-4;
-    _antList.back().height_f = true;
-  }
-  _antList.back().message = type;
+    _antList.back()._height = h * 1e-4;
+    _antList.back()._height_f = true;
+  }
+  _antList.back()._message = type;
 
   return true;
@@ -2047,5 +2047,6 @@
 ////////////////////////////////////////////////////////////////////////////
 bool RTCM3Decoder::DecodeGLONASSCodePhaseBiases(unsigned char* data, int size) {
-  t_GloBiasInfo gloBiases;
+  t_GloBiasInfo gloBiasInfo;
+  int i = 0;
   uint64_t numbits = 0, bitfield = 0;
 
@@ -2054,8 +2055,8 @@
 
   SKIPBITS(12) // Message Number
-  GETBITS(gloBiases.staID, 12)
-  GETBITS(gloBiases.indicator, 1) // 0.. not aligned, 1.. aligned
+  GETBITS(gloBiasInfo._staID, 12)
+  GETBITS(gloBiasInfo._indicator, 1) // 0.. not aligned, 1.. aligned
   SKIPBITS(3) // reserved bits
-  unsigned bitmask;
+  unsigned int bitmask;
   GETBITS(bitmask, 4)
   bool L1C_valid = bitExtracted(unsigned(bitmask), 1, 0);
@@ -2065,18 +2066,22 @@
 
   if (L1C_valid) {
-    GETBITS(gloBiases.L1C_value, 16)
+    GETBITSSIGN(i, 16)
+    gloBiasInfo._L1C_value = i * 0.02;
   }
   if (L1P_valid) {
-    GETBITS(gloBiases.L1P_value, 16)
+    GETBITSSIGN(i, 16)
+    gloBiasInfo._L1P_value = i * 0.02;
   }
   if (L2C_valid) {
-    GETBITS(gloBiases.L2C_value, 16)
+    GETBITSSIGN(i, 16)
+    gloBiasInfo._L2C_value = i * 0.02;
   }
   if (L2P_valid) {
-    GETBITS(gloBiases.L2P_value, 16)
-  }
-
-  if (!(_gloBiases == gloBiases)) {
-    _gloBiases.set(gloBiases);
+    GETBITSSIGN(i, 16)
+    gloBiasInfo._L2P_value = i * 0.02;
+  }
+
+  if (_gloBiasInfo != gloBiasInfo) {
+    _gloBiasInfo.set(gloBiasInfo);
   }
 
@@ -2251,6 +2256,6 @@
       /* store the id and message size into the list of loaded blocks */
       _typeList.push_back(t_typeInfo());
-      _typeList.back().type = id;
-      _typeList.back().size = _BlockSize -6; /* header + crc */
+      _typeList.back()._type = id;
+      _typeList.back()._size = _BlockSize -6; /* header + crc */
 
       /* SSR I+II data handled in another function, already pass the
@@ -2274,5 +2279,5 @@
         }
       }
-      else if (id >= 1070 && id <= 1237) { /* MSM */
+      else if (id >= 1070 && id <= 1137) { /* MSM */
         if (DecodeRTCM3MSM(_Message, _BlockSize))
           decoded = true;